Bug 602139 - there aren't messaging agents in "getAgents" and grid package in "getPackages"
there aren't messaging agents in "getAgents" and grid package in "getPackages"
Status: CLOSED DUPLICATE of bug 600488
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-qmf (Show other bugs)
Development
All Linux
medium Severity medium
: 2.2
: ---
Assigned To: messaging-bugs
Stanislav Graf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-09 04:49 EDT by Martin Kudlej
Modified: 2013-02-24 11:06 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-11-16 07:36:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kudlej 2010-06-09 04:49:05 EDT
Description of problem:
I've set up managements plugins into condor and I've tried to list agents and packages from broker. There is no grid package in list of packages and there are no messaging agents in list of agents.

Version-Release number of selected component (if applicable):
condor-7.4.3-0.17.el5
condor-qmf-7.4.3-0.17.el5
qmf-0.7.946106-2.el5
qpid-cpp-server-0.7.946106-2.el5
python-qmf-0.7.946106-3.el5
python-condorutils-1.4-0.3.el5

How reproducible:
100%

Steps to Reproduce:
1. install and set up condor, broker and condor management plugins
2. run reproducer
  
Actual results:
Reproducer output:
Agents:
[Agent(v2) at bank 1.com.redhat.grid:negotiator:7a5bfe59-8436-42e2-853e-1cdf275dccb9 (QMFv2 Agent), Agent(v2) at bank 1.0 (BrokerAgent), Agent(v2) at bank 1.com.redhat.grid:scheduler:29ca3014-77cb-4f9f-a652-d3b7f650e186 (QMFv2 Agent), Agent(v2) at bank 1.com.redhat.grid:collector:81c49c1b-f0d3-4b88-9bd2-7e50adf352e9 (QMFv2 Agent), Agent(v2) at bank 1.com.redhat.grid:master:261e66eb-452a-446f-8fc3-df79f808f37b (QMFv2 Agent)]
Packages:
['com.redhat.rhm.store', 'org.apache.qpid.broker']

qpit-tool output:
qpid: list
Summary of Objects by Type:
    Package                 Class         Active  Deleted
    =======================================================
    org.apache.qpid.broker  queue         13      0
    com.redhat.grid         scheduler     1       0
    org.apache.qpid.broker  session       7       0
    org.apache.qpid.broker  system        1       0
    org.apache.qpid.broker  broker        1       0
    org.apache.qpid.broker  exchange      8       0
    com.redhat.grid         negotiator    1       0
    com.redhat.rhm.store    store         1       0
    org.apache.qpid.broker  connection    7       0
    org.apache.qpid.broker  subscription  13      0
    org.apache.qpid.broker  binding       46      0
    org.apache.qpid.broker  vhost         1       0
    com.redhat.grid         master        1       0
    com.redhat.grid         collector     1       0
qpid: schema
QMF Classes:
    Package                 Name                  Kind
    ======================================================
    com.redhat.grid         collector             object
    com.redhat.grid         master                object
    com.redhat.grid         scheduler             object
    com.redhat.grid         negotiator            object
    com.redhat.rhm.store    journal               object
    com.redhat.rhm.store    store                 object
    org.apache.qpid.broker  vhost                 object
    org.apache.qpid.broker  link                  object
    org.apache.qpid.broker  subscription          object
    org.apache.qpid.broker  broker                object
    org.apache.qpid.broker  system                object
    org.apache.qpid.broker  queue                 object
    org.apache.qpid.broker  binding               object
    org.apache.qpid.broker  connection            object
    org.apache.qpid.broker  bridge                object
    org.apache.qpid.broker  exchange              object
    org.apache.qpid.broker  session               object
    org.apache.qpid.broker  managementsetupstate  object
    org.apache.qpid.broker  agent                 object

Expected results:
There will be grid package in list of packages and messaging agents in list of agents.


Reproducer:
from qmf.console import Session
from sys import exit

session = Session();
session.addBroker();

print "Agents:"
print session.getAgents();

print "Packages:"
print session.getPackages();
Comment 1 Matthew Farrellee 2010-06-09 09:20:08 EDT
The grid object are there in the package "com.redhat.grid"
Comment 2 Ken Giusti 2010-07-13 10:08:53 EDT
Seems like this could be a duplicate of: https://bugzilla.redhat.com/show_bug.cgi?id=600488
Comment 4 Stanislav Graf 2011-11-16 06:19:21 EST
[Reproduce on RHEL5 x86_64]

# rpm -q condor condor-qmf qmf qpid-cpp-server python-qmf python-condorutils python-qpid
condor-7.4.5-0.8.el5
condor-qmf-7.4.5-0.8.el5
qmf-0.7.946106-28.el5
qpid-cpp-server-0.7.946106-28.el5
python-qmf-0.7.946106-14.el5
package python-condorutils is not installed
python-qpid-0.7.946106-15.el5

# qpid-tool
Management Tool for QPID
qpid: list
Summary of Objects by Type:
    Package                 Class         Active  Deleted
    =======================================================
    com.redhat.grid         scheduler     1       0
    com.redhat.grid         slot          2       0
    org.apache.qpid.broker  binding       93      0
    com.redhat.grid         jobserver     1       0
    com.redhat.grid         master        1       0
    com.redhat.sesame       sysimage      1       0
    org.apache.qpid.broker  broker        1       0
    com.redhat.grid         negotiator    1       0
    org.apache.qpid.broker  subscription  21      0
    org.apache.qpid.broker  connection    9       0
    org.apache.qpid.broker  session       9       0
    org.apache.qpid.broker  queue         22      0
    org.apache.qpid.broker  exchange      8       0
    org.apache.qpid.broker  vhost         1       0
    org.apache.qpid.broker  system        1       0
    com.redhat.grid         collector     1       0
qpid: schema
QMF Classes:
    Package                 Name                  Kind
    ======================================================
    com.redhat.grid         scheduler             object
    com.redhat.grid         jobserver             object
    com.redhat.grid         collector             object
    com.redhat.grid         master                object
    com.redhat.grid         negotiator            object
    com.redhat.grid         slot                  object
    org.apache.qpid.broker  vhost                 object
    org.apache.qpid.broker  bridge                object
    org.apache.qpid.broker  binding               object
    org.apache.qpid.broker  connection            object
    org.apache.qpid.broker  subscription          object
    org.apache.qpid.broker  broker                object
    org.apache.qpid.broker  system                object
    org.apache.qpid.broker  queue                 object
    org.apache.qpid.broker  link                  object
    org.apache.qpid.broker  exchange              object
    org.apache.qpid.broker  session               object
    org.apache.qpid.broker  managementsetupstate  object
    org.apache.qpid.broker  agent                 object
    com.redhat.sesame       sysimage              object
qpid: quit
Exiting...
ecode=0

# python bz602139
Agents:
[Agent(v2) at bank 1.com.redhat.grid:collector:Personal Condor at local-rhel5x (QMFv2 Agent), 
Agent(v2) at bank 1.com.redhat.grid:negotiator:local-rhel5x (QMFv2 Agent), 
Agent(v2) at bank 1.0 (BrokerAgent), 
Agent(v2) at bank 1.com.redhat.grid:scheduler:myschedd@local-rhel5x (QMFv2 Agent), 
Agent(v2) at bank 1.redhat.com:sesame:554ca94f-4be3-a0dd-f9f0-d8004ec38700 (QMFv2 Agent), 
Agent(v2) at bank 1.com.redhat.grid:master:local-rhel5x (QMFv2 Agent), Agent(v2) at bank 1.com.redhat.grid:slot:local-rhel5x (QMFv2 Agent)]
Packages:
['org.apache.qpid.broker']
ecode=0

NOT all packages from qpid-tool schema/list are in bz602139.py - expect:
['com.redhat.grid', 'org.apache.qpid.broker', 'com.redhat.sesame']
Comment 5 Stanislav Graf 2011-11-16 06:24:59 EST
I suppose it is resolved in MRG2 ->
Verify on RHEL5 (i386/x86_64), Install all from RHN - MRG2 channels

condor-7.6.3-0.3.el5
condor-qmf-7.6.3-0.3.el5
package qmf is not installed
qpid-cpp-server-0.10-9.el5
package python-qmf is not installed
python-condorutils-1.5-4.el5
python-qpid-0.10-1.el5

qpid: list
Summary of Objects by Type:
    Package                 Class         Active  Deleted
    =======================================================
    com.redhat.grid         scheduler     1       0
    com.redhat.grid         slot          2       0
    org.apache.qpid.broker  binding       199     11
    com.redhat.grid         jobserver     1       0
    com.redhat.grid         master        1       0
    com.redhat.sesame       sysimage      1       0
    org.apache.qpid.broker  broker        1       0
    com.redhat.grid         negotiator    1       0
    org.apache.qpid.broker  subscription  56      5
    org.apache.qpid.broker  connection    16      1
    org.apache.qpid.broker  session       16      1
    org.apache.qpid.broker  queue         56      5
    org.apache.qpid.broker  exchange      8       0
    org.apache.qpid.broker  vhost         1       0
    org.apache.qpid.broker  system        1       0
    com.redhat.grid         collector     1       0
qpid: schema
QMF Classes:
    Package                 Name                  Kind
    ======================================================
    com.redhat.grid         slot                  object
    com.redhat.grid         collector             object
    com.redhat.grid         scheduler             object
    com.redhat.grid         negotiator            object
    com.redhat.grid         jobserver             object
    com.redhat.grid         master                object
    org.apache.qpid.broker  vhost                 object
    org.apache.qpid.broker  bridge                object
    org.apache.qpid.broker  binding               object
    org.apache.qpid.broker  connection            object
    org.apache.qpid.broker  subscription          object
    org.apache.qpid.broker  broker                object
    org.apache.qpid.broker  queue                 object
    org.apache.qpid.broker  system                object
    org.apache.qpid.broker  link                  object
    org.apache.qpid.broker  exchange              object
    org.apache.qpid.broker  session               object
    org.apache.qpid.broker  managementsetupstate  object
    org.apache.qpid.broker  agent                 object
    com.redhat.sesame       sysimage              object
qpid: 

# python bz602139 
Agents:
[Agent(v2) at bank 1.com.redhat.grid:negotiator:local-rhel5i (QMFv2 Agent), 
Agent(v2) at bank 1.redhat.com:sesame:8e771a9f-131b-6c97-8010-0b004ec39300 (QMFv2 Agent), 
Agent(v2) at bank 1.com.redhat.grid:scheduler:myschedd@local-rhel5i (QMFv2 Agent), 
Agent(v2) at bank 1.com.redhat.grid:master:local-rhel5i (QMFv2 Agent), 
Agent(v2) at bank 1.com.redhat.grid:slot:local-rhel5i (QMFv2 Agent), 
Agent(v2) at bank 1.0 (BrokerAgent), 
Agent(v2) at bank 1.com.redhat.grid:collector:Personal Condor at local-rhel5i (QMFv2 Agent)]
Packages:
['com.redhat.grid', 'org.apache.qpid.broker', 'com.redhat.sesame']

All packages from qpid-tool schema/list are in bz602139.py - expect and receive:
['com.redhat.grid', 'org.apache.qpid.broker', 'com.redhat.sesame']
Comment 6 Stanislav Graf 2011-11-16 06:26:18 EST
I suppose it is resolved in MRG2 ->
Verify on RHEL6 (i386/x86_64), Install all from RHN - MRG2 channels
condor-7.6.3-0.3.el6
condor-qmf-7.6.3-0.3.el6
package qmf is not installed
qpid-cpp-server-0.10-8.el6_1
package python-qmf is not installed
python-condorutils-1.5-4.el6
python-qpid-0.10-1.el6

#qpid: list
Summary of Objects by Type:
    Package                 Class         Active  Deleted
    =======================================================
    com.redhat.grid         scheduler     1       0
    com.redhat.grid         slot          2       0
    org.apache.qpid.broker  binding       54      0
    com.redhat.grid         jobserver     1       0
    org.apache.qpid.broker  broker        1       0
    com.redhat.sesame       sysimage      1       0
    org.apache.qpid.broker  system        1       0
    com.redhat.grid         negotiator    1       0
    org.apache.qpid.broker  subscription  17      0
    org.apache.qpid.broker  connection    9       0
    org.apache.qpid.broker  session       9       0
    org.apache.qpid.broker  queue         18      0
    org.apache.qpid.broker  exchange      8       0
    org.apache.qpid.broker  vhost         1       0
    com.redhat.grid         master        1       0
    org.apache.qpid.broker  agent         1       0
    com.redhat.grid         collector     1       0
qpid: schema
QMF Classes:
    Package                 Name                  Kind
    ======================================================
    com.redhat.grid         collector             object
    com.redhat.grid         jobserver             object
    com.redhat.grid         scheduler             object
    com.redhat.grid         master                object
    com.redhat.grid         slot                  object
    com.redhat.grid         negotiator            object
    org.apache.qpid.broker  broker                object
    org.apache.qpid.broker  bridge                object
    org.apache.qpid.broker  session               object
    org.apache.qpid.broker  system                object
    org.apache.qpid.broker  managementsetupstate  object
    org.apache.qpid.broker  binding               object
    org.apache.qpid.broker  connection            object
    org.apache.qpid.broker  queue                 object
    org.apache.qpid.broker  exchange              object
    org.apache.qpid.broker  link                  object
    org.apache.qpid.broker  subscription          object
    org.apache.qpid.broker  agent                 object
    org.apache.qpid.broker  vhost                 object
    com.redhat.sesame       sysimage              object
    com.redhat.grid.config  Node                  object
    com.redhat.grid.config  Snapshot              object
    com.redhat.grid.config  Parameter             object
    com.redhat.grid.config  Feature               object
    com.redhat.grid.config  Subsystem             object
    com.redhat.grid.config  Store                 object
    com.redhat.grid.config  Group                 object
    com.redhat.grid.config  ConfigVersion         object
# python bz602139.py 
Agents:
[Agent(v1) at bank 1.11 (com.redhat.grid.config:Store)
Agent(v2) at bank 1.com.redhat.grid:master:local-rhel6x (QMFv2 Agent)
Agent(v2) at bank 1.com.redhat.grid:scheduler:myschedd@local-rhel6x (QMFv2 Agent)
Agent(v2) at bank 1.com.redhat.grid:negotiator:local-rhel6x (QMFv2 Agent), 
Agent(v2) at bank 1.com.redhat.grid:collector:Personal Condor at local-rhel6x (QMFv2 Agent), 
Agent(v2) at bank 1.0 (BrokerAgent)
Agent(v2) at bank 1.com.redhat.grid:slot:local-rhel6x (QMFv2 Agent), 
Agent(v2) at bank 1.redhat.com:sesame:cd434397-4ee3-ed1a-e332-b8c40000000f (QMFv2 Agent)]
Packages:
['com.redhat.grid', 'org.apache.qpid.broker', 'com.redhat.sesame', 'com.redhat.grid.config']

All packages from qpid-tool schema/list are in bz602139.py - expect and receive:
['com.redhat.grid', 'org.apache.qpid.broker', 'com.redhat.sesame', 'com.redhat.grid.config']
Comment 7 Stanislav Graf 2011-11-16 07:24:19 EST
I suppose it is resolved in MRG1 ->
Verify on RHEL5 (i386/x86_64), Install all from RHN - MRG1 channels

condor-7.4.5-0.8.el5
condor-qmf-7.4.5-0.8.el5
qmf-0.7.946106-34.el5
qpid-cpp-server-0.7.946106-34.el5
python-qmf-0.7.946106-14.el5
package python-condorutils is not installed
python-qpid-0.7.946106-15.el5

qpid: list
Summary of Objects by Type:
    Package                 Class         Active  Deleted
    =======================================================
    com.redhat.grid         scheduler     1       0
    com.redhat.grid         slot          2       0
    org.apache.qpid.broker  binding       95      0
    com.redhat.grid         jobserver     1       0
    org.apache.qpid.broker  broker        1       0
    com.redhat.sesame       sysimage      1       0
    org.apache.qpid.broker  system        1       0
    com.redhat.grid         negotiator    1       0
    org.apache.qpid.broker  subscription  22      0
    org.apache.qpid.broker  connection    10      0
    org.apache.qpid.broker  session       10      0
    org.apache.qpid.broker  queue         22      0
    org.apache.qpid.broker  exchange      8       0
    org.apache.qpid.broker  vhost         1       0
    com.redhat.grid         master        1       0
    org.apache.qpid.broker  agent         1       0
    com.redhat.grid         collector     1       0
qpid: schema
QMF Classes:
    Package                 Name                  Kind
    ======================================================
    com.redhat.grid         scheduler             object
    com.redhat.grid         master                object
    com.redhat.grid         collector             object
    com.redhat.grid         jobserver             object
    com.redhat.grid         negotiator            object
    com.redhat.grid         slot                  object
    org.apache.qpid.broker  vhost                 object
    org.apache.qpid.broker  bridge                object
    org.apache.qpid.broker  binding               object
    org.apache.qpid.broker  connection            object
    org.apache.qpid.broker  subscription          object
    org.apache.qpid.broker  broker                object
    org.apache.qpid.broker  system                object
    org.apache.qpid.broker  queue                 object
    org.apache.qpid.broker  link                  object
    org.apache.qpid.broker  exchange              object
    org.apache.qpid.broker  session               object
    org.apache.qpid.broker  managementsetupstate  object
    org.apache.qpid.broker  agent                 object
    com.redhat.sesame       sysimage              object
    com.redhat.grid.config  Snapshot              object
    com.redhat.grid.config  Feature               object
    com.redhat.grid.config  Group                 object
    com.redhat.grid.config  Store                 object
    com.redhat.grid.config  Subsystem             object
    com.redhat.grid.config  ConfigVersion         object
    com.redhat.grid.config  Node                  object
    com.redhat.grid.config  Parameter             object

# python bz602139 
Agents:
[Agent(v1) at bank 1.10 (com.redhat.grid.config:Store), Agent(v2) at bank 1.com.redhat.grid:collector:Personal Condor at local-rhel5x (QMFv2 Agent), Agent(v2) at bank 1.com.redhat.grid:negotiator:local-rhel5x (QMFv2 Agent), Agent(v2) at bank 1.0 (BrokerAgent), Agent(v2) at bank 1.com.redhat.grid:scheduler:myschedd@local-rhel5x (QMFv2 Agent), Agent(v2) at bank 1.redhat.com:sesame:72c0f57b-4d9a-4493-900e-55004ec3a000 (QMFv2 Agent), Agent(v2) at bank 1.com.redhat.grid:master:local-rhel5x (QMFv2 Agent), Agent(v2) at bank 1.com.redhat.grid:slot:local-rhel5x (QMFv2 Agent)]
Packages:
['org.apache.qpid.broker', 'com.redhat.grid.config']

NOT all packages from qpid-tool schema/list are in bz602139.py - expect:
['com.redhat.grid', 'org.apache.qpid.broker', 'com.redhat.sesame', 'com.redhat.grid.config']
Comment 8 Stanislav Graf 2011-11-16 07:27:44 EST
Summary:

MRG2 RHEL5 i386/x86_64
python-qpid-0.10-1.el5
fixed, VERIFIED

MRG2 RHEL6 i386/x86_64
python-qpid-0.10-1.el6
fixed, VERIFIED

MRG1 RHEL5 i386/x86_64
python-qpid-0.7.946106-15.el5
not-fixed, FAILED
Comment 9 Stanislav Graf 2011-11-16 07:36:02 EST

*** This bug has been marked as a duplicate of bug 600488 ***

Note You need to log in before you can comment on or make changes to this bug.